#
# spec file for package cheese (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cheese
BuildRequires:  dbus-1-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  fdupes
BuildRequires:  gnome-desktop-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  intltool
BuildRequires:  librsvg-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
Summary:        Cheese uses your webcam to take photos and videos
Version:        2.28.1
Release:        2.1.2
License:        GPLv2+
Group:          Productivity/Graphics/Other
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.gnome.org/projects/cheese
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
# won't start without that one:
Requires:       gstreamer-0_10-plugins-good
Requires:       yelp
%gconf_schemas_prereq

%description
Cheese is a Photobooth-inspired GNOME application for taking pictures
and videos from a webcam. It also includes fancy graphical effects
based on the gstreamer-backend.


%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
    --disable-scrollkeeper
make %{?jobs:-j%jobs} V=1

%install
%makeinstall
%find_gconf_schemas
%find_lang %{name}
%suse_update_desktop_file -r -C "Webcam application" -G "Webcam Application" -N "Cheese" cheese Graphics Photography GNOME GTK
%fdupes -s %{buildroot}

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.schemas_list
%defattr(-, root, root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/cheese
%{_libexecdir}/cheese/
%{_datadir}/applications/cheese.desktop
%{_datadir}/cheese/
%{_datadir}/icons/hicolor/*/apps/cheese.*
%{_datadir}/dbus-1/services/org.gnome.Cheese.service

%files lang -f %{name}.lang

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + Updated translations.
* Mon Sep 28 2009 dimstar@opensuse.org
- Update to version 2.28.0.1:
  + Update references to DOC_FIGURES, documentation figures have
    not been included previously
  + Updated translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + bgo#590182 - use _X-GNOME-FullName inside the .desktop file
  + bgo#595073 - fix the abortion of burst mode with the escape key
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + Updated translations.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Restore default window size that was changed with the
    netbook-mode merge.
  + Prevent the thumbview to shrink down to nothing when there are
    no items. Keep track of current items number and set a size
    request when it reaches zero.
  + Remove a bunch of hacks used in wide-mode switching to keep the
    video area size constant. Do everything in a more proper, non
    hackish, way. Fixes window "flickering" when switching to Wide
    Mode.
  + bgo#591389 - Restore a <schema> keyword that got lost in the
    gconf schema,
  + Updated translations.
* Tue Aug 11 2009 vuntz@novell.com
- Update to version 2.27.90:
  + Drop HILDON mode.
  + Merge netbook-mode branch. Introduces a new horizontal mode
    that fits nicely in small screens where the vertical real
    estate is limited (like netbooks).
  + Enable wide mode at startup if enabled in gconf or if forced
    through -w/--wide command line option.
  + Add UI for dynamically switching to and from wide mode.
  + Set WARNING MessageType for the InfoBar. Warning is certainly
    more suited since the missing webcam is not a fatal error.
  + Remove *.glade files.
  + Insensitize buttons and actions while "bursting".
  + Take the first photo of a burst right after button press.
  + Add 256x256 Cheese icons.
  + Add tooltips to the buttons. Now that toolbar buttons have no
    labels tooltips can be helpful to identify each button role.
  + Add burst mode settings to preferences dialog.
  + Add the scalable version of the take photo and burst icons.
  + Add --version command line flag.
  + Updated translations.
- Remove libglade2-devel, python-gobject2 BuildRequires.
* Thu Jul 30 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Add new photo and burst icons
  + Remove the label of the photo and video modes
  + Support taking a series of photos, fixes bgo#581997
    This introduces the burst mode in cheese. The burst mode allows
    to take a series of photos with a configurable delay and number
    of photos.
  + Make webcam and resolution settings not sensitive if just 1
    option is available. If there are no options to choose, make
    the webcam and resolution combo box insensitive, fixes
    bgo#588353
  + Updated translations.
* Sun Jul 19 2009 dominique-obs@leuenberger.net
- Update to version 2.27.4:
  + bump gtk+ requirement to 2.17.3
  + ensure the drawing area has a native X11 window, bgo#588357
  + use the camera-web icon instead of camera-video
  + manually expose the window if not PLAYING
  + fix broken xoverlay management
  + drop url and email handlers
  + drop GEditMessageArea in favor of GtkInfoBar, bgo#586545
  + use AM_SILENT_RULES if available, bgo#587581
  + Use accessor functions instead direct access, bgo#585210
  + remove markup from translatable strings
  + keybindings: add configure checks for needed X11 stuff
  + add little program to emit fake webcam button events
  + capture webcam buttons, bgo#521551
  + remove padding from the take_picture button
  + sanitize main toolbar structure
  + Updated translations.
* Sun Jul 19 2009 coolo@novell.com
- fix usage of %%_libexecdir
* Tue Jun 16 2009 vuntz@novell.com
- Update to version 2.27.3:
  - Set default resolution to the highest one with a non jerky
    (higher than 15fps) framerate, fixes bgo#585857
  - Lower max-delay and max-page-delay oggmux properties from 5 to
    0.5 seconds. Should prevent out of sync audio in recorded
    videos and hopefully fix bgo#585761
  - Don't access effects string after free. This was causing the
    first effect stored in gconf to not be restored at startup,
    fixes bgo#584186
  - Get rid of GtkAspectFrame, it doesn't really suit our needs, it
    hardcodes an aspect ratio that obviously cannot be valid for
    every format webcams support. Render the video directly to the
    drawing area with no external aspect ratio restriction.
    Eventually fixes bgo#559188 since the aspectframe was adding
    some extra padding between the video and the window border.
  - Almost every available gstreamer videosink can display black
    bars around the video keeping its aspect ratio. Enable it if
    available. Black bars look a lot nicer than the grey color of
    the underlying gtkwindow displayed with the aspectframe.
  - Properly forward expose events to GstXOverlay.
  - Avoid ugly flickering on window resize. Let gstxoverlay take
    full control of the drawing area window. Prevent gtk from
    drawing the background and remove the flickering caused by its
    internal double buffering.
  - Remove initial black bars (at least for 4:3 webcams). Set a
    default window size that fits nicely the video aspect ratio so
    that black bars are not drawn until a manual resize.
  - Updated translations.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + Ignore new photo requests if we are still waiting for an
    "handoff" signal for the previous one, fixes bgo#582902
  + Fix a couple of trivial memory leaks in the thumbnail generator
    code, fixes bgo#578289
  + Don't return if "image-loading" icon is not found, we will have
    an empty pixbuf while the thumbnail thread is running but it is
    surely better than no thumbnail at all, fixes bgo#582240
  + Updated translations.
* Sun May 10 2009 mboman@suse.de
- Replace "Webcam application" with "Webcam Application"
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + Improve preferences dialog making it more consistent with other
    GNOME applications.
  + Add support for brightness, contrast, saturation and hue
    adjustments, fixes bgo#558970.
  + Replace deprecated gtk_action_connect_proxy calls with
    gtk_activatable_set_related_action, fixes bgo#571383.
  - Bump gtk+ dependency to 2.16 (needed for gtk_scale_add_mark and
    gtk_activatable_set_related_action).
  + Archive old ChangeLog and autogenerate it on distribution from
    git log.
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Lock gdk mutex in photo-saved and video-saved callbacks Those
    signals are emitted within a gstreamer callback so outside the
    mainloop, hence the need for locking. This fixes the flash
    locking issue and also the one about the grey thumbview right
    after the flash, fixes bgo#566098
  + Translation updates
- Remove BuildRequires cairo-devel, gcc-c++, glib2-devel,
  gstreamer-0_10-devel, pkg-config
- Remove %%if statements for <= 10.2
- Remove commented out patch line for cheese-declaration.patch.
  File does not exist in the package
- Remove AutoReqProv, it's default
- Replace %%setup -n %%{name}-%%{version} with %%setup -q
- Use make %%{?jobs:-j%%jobs} instead of make
- Don't package omf files in the main package (they get packaged
  automatically in -lang due to bnc#449846)
* Sun Mar  8 2009 vuntz@novell.com
- Review changes.
* Wed Mar  4 2009 lmedinas@gmail.com
- Update to version 2.25.92:
  + bgo#562179 - Remove g_error calls where the error is not
    supposed to abort execution Replace them with more suited
    g_warnings
  + bgo#573573 - Print cheese verbose messages even if log dir
    doesn't exist
  + Translation updates
* Fri Feb 20 2009 vuntz@novell.com
- Review changes.
* Tue Feb 17 2009 lmedinas@gmail.com
- Update to version 2.25.91:
  + replace deprecated gtk symbols inside hildon code, fixes
    bgo#571383
  + Translation updates
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + fixed lack of period at the end of a few paragraphs in the
    documentation
  + adopted "screenshot" instead of "screen shot", fixes
    bgo#566718
  + reverse icon view scroll buttons scroll direction for RTL
    locales, fixes bgo#566197
  + Translation updates
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + single includes fix, fixes bgo#563537
  + Translation updates
* Sun Dec 14 2008 mboman@suse.de
- Update to version 2.25.2:
  + print vendor and product id while probing devices. provide some more
    device informations for easier bug triaging.
  + remove unnecesary include files, to meet GnomeGoal
  + don't use random access glist methods when accessing a list sequentially
  + and properly free list elements after use, fixes bgo#560514 and
    bgo#560347
  + Use gtk_show_uri to open files and xdg-open i.s.o. gnome-open
  + Use gtk_message_dialog_format_secondary_markup correctly
  + print the cheese version if the -v flag is set
  + add support for cams which support only one resolution, fixes bgo#560032
  + change the default font of the countdown widget to bitstream vera sans
    bold
  + drop libgnome/libgnome-vfs dependencies, fixes bgo#556580
  + exit correctly with unknown command line arguments, fixes bgo#556084.
  + change the ui behaviour of the fullscreen toolbar, to show always when
    in effects chooser mode, fixes bgo#548546
  + Translation updates
* Wed Oct 22 2008 mboman@suse.de
- Update to version 2.24.1:
  + Exit correctly with unknown command line arguments, fixes bgo#556084
  + Translation updates
* Mon Oct 20 2008 maw@suse.de
- Require yelp (bnc#436942).
* Mon Oct 20 2008 meissner@suse.de
- require gstreamer-plugins-good for basic video sources
* Wed Oct  1 2008 mboman@suse.de
- Update to version 2.24.0:
  + correct an error in the help file, which prevented the document to be
    valid
  + update the cheese dependencies, fixes bgo#547203
  + use the correct translated plural form when deleting more than one item
    from the thumbnail bar, fixes bgo#552290, courtesy of Yuriy Penkin
  + do not add a new item to the thumbnail bar, if its already there,
    fixes bgo#549804
  + update documentation, courtesy of Joshua Henderson
  + include gio header in cheese.c
  + Translation updates
* Wed Sep 10 2008 maw@suse.de
- Update to version 2.23.92:
  + Documentation update (not yet finished)
  + Old photos and videos (created before 2.24) are now available
    bgo#547290
  + Don't save duplicated videoformats; rather only keep the one
    with the maximum framerate if it provides the same resolution
    (bgo#547144 and bgo#547140)
  + Send eos event only if the pipeline was playing; otherwise
    force shutdown; start a timeout to force unclean shutdown if
    eos takes too long to propagate or doesnt propagate at all
    (work on bgo#547422)
  + Set take_picture sensitiveness before
    webcam_stop_video_recording since this emits a signal that
    would lead to another sensitiveness change (bgo#547422)
  + Set the utility hint for the fullscreen toolbar (bgo#548546,
    partial)
  + Fix crash when no device is set in gconf (bgo#546868, partial)
  + Display toolbar when entering into fullscreen mode
    (bgo#548546)
  + Updated translations.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Bugs fixed: bgo#527736, bgo#547405, bgo#547403, bgo#511916,
    bgo#547313, bgo#522009, bgo#547168, bgo#513776, bgo#522009,
    bgo#543976, bgo#481405, bgo#522009, bgo#546390, bgo#546918
  - call gdk_x11_window_set_user_time to raise the cheese window if its
    called twice
  - remove gtk_init and gst_init, according to the docs these are not
    needed if we use gtk_get_option_group and gst_init_get_option_group
  - align the buttons with the thumbnail bar
  - select the last thumbnail item, if the last one was deleted
  - remove a thumbnail item immidiately from the thumbnail row if it was
    deleted
  - add people who contributed to cheese to the cheese about window
  - connect button_photo and button_video as proxy widgets for relative
    RadioActions
  - don't try to find highest framerate if format is NULL
  - added a delete action to immediately delete files and a gconf key to
    show/hide it
  - add several g_free functions to prevent memory leaks
  - use g_random_int instead of g_rand_int
  - add the multiplex thumbnail generator algorithm
  - disable "Start recording" button until the recording pipeline properly
    shuts down
  - save generated thumbnails, it seems to have vanished some time ago
  - added/updated translations
* Tue Aug  5 2008 captain.magnus@opensuse.org
- Update to version 2.23.6:
  + add a fullscreen mode for kiosks, fixes bgo#478852, courtesy of Felix Kaser
  + wait until the video has been recorded, to add it to the thumbnail bar, partially fixes bgo#545212
  + move thumbnail generation to its own thread, displaying a loading icon while
  generating thumbnail and a fallback icon if thumbnail fails, fixes bug bgo#545151, courtesy of Filippo Argiolas
  + toggle effects button if effects is enabled using menu, fixes bug bgo#539195, courtesy of Filippo Argiolas
  + make cheese have a fullscreen mode for kiosks, fixes bug bgo#478852
  + resolve sluggish video and out-of-sync audio, fixes bug bgo#542014, courtesy of Filippo Argiolas
  + do not crash on preferences with no camera attached, fixes bug bgo#544062, courtesy of Filippo Argiolas
  + cheese should ask to delete files if moving to trash fails, fixes bug bgo#545950, courtesy of Filippo Argiolas
  + cheese crashed with move all to trash if no trash can be accessed, fixes bug bgo#545997, courtesy of Filippo Argiolas
  + make recording of videos work again, fixes bug bgo#523475, courtesy of Filippo Argiolas
  + bump gstreamer requirements to 0.10.16
  + fixes cheese_print_handler, which resulted in empty cheese logs, courtesy of Filippo Argiolas
  + allow to choose the webcam using the preference dialog, fixes bug bgo#522200, courtesy of Ryan Zeigler
  + remove some gcc warnings, fixes bug bgo#537490, courtesy of Cosimo Cecchi
  + fixed typo, which prevented hildon mode to compile cleanly
  + removed included <X11/extensions/xf86vmode.h>, fixes bug bgo#539631, courtesy of Marc-Andre Lureau
  + make hal-device-id command line option work, fixes bug bgo#498023, courtesy of Ryan Zeigler
  + use ogv as default video extension, fixes bug bgo#524021
  + added/updated translations
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Bugs fixed: bgo#535582 and bgo#522009
  + Updated translations.
* Wed Jun 18 2008 maw@suse.de
- Update to version 2.23.3:
  + Add support to set the video and photo path in gconf
  + Bugs fixed: bgo#526214, bgo#534480, bgo#511369, bgo#509475,
    bgo#527870, bgo#528249, bgo#525739, bgo#522200 (partially),
    bgo#529467, bgo#529789, bgo#529276, bgo#519846, bgo#519548,
    bgo#511160, bgo#511945, bgo#524021, bgo#522197, bgo#524814,
    bgo#522152, bgo#522198, bgo#523121, bgo#522143, bgo#526398,
    bgo#520394, bgo#511369, and bgo#512091
  + Updated translations.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + Cheese crashed while initializing webcam on some devices,
    fixes bug bgo#522143
  + Cheese did not list its gnome-vfs dependency, fixes bgo#522152
  + Cheese did not open the webcam device set in gconf, fixes
    bgo#522198
  + Cheese crashed if getting information from a webcam fails,
    fixes bgo#522197
  + Set the max waiting time for detecting a camera to 10 seconds,
    fixes bgo#520394
  + Do not allow to take pictures, while the webcam is initialising,
    fixes bgo#523121
  + Show our fancy countdown widget by default
  + Updated translations.
* Fri Mar 14 2008 maw@suse.de
- Update to version to 2.22.0:
  + typo in the documentaton: ximageskink instead of ximagesink
  + menu entries for take a photo and recording never switched,
    (bgo#516745)
  + select a thumb near the deleted item (bgo#505442)
  + make sure we have the right prototype definition (bgo#519030)
  + Rephrased hard-to-understand sentence in docs (bgo#518838)
  + Updated translations
- Drop cheese-declaration.patch.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Use GtkBuilder instead of libglade
  + Put gtk calls in critical section of threads (bgo#516697)
  + Make use of the gconf countdown setting
  + Updated translations.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.91:
  + Replace gnome-vfs with gio
  + Pressing esc cancels countdown/stop video recording
  + Updated translations, including effect names.
* Fri Feb  1 2008 maw@suse.de
- Import into autobuild (thanks, Andrew!)
- Update to version 2.21.90.1:
  + Many bug fixes
  + New effects
  + Updated translations.
* Fri Nov 30 2007 andrew@forcev.net 
- Cleanup of spec file to comply with openSUSE GNOME packaging guidelines
* Wed Sep 26 2007 andrew@forcev.net 
- Initial build for openSUSE 10.3
